## macwiki-zenitani-r767.zip

=== Makefile ===
# Main Makefile for BBDB


TAR = gtar
COMPRESS = gzip --verbose --best
COMPEXT = gz
RM   = /bin/rm -f
LN_S = ln -s

ETAGS = etags
EMACS_PROG = /usr/bin/emacs -no-site-file -no-init-file

SUBDIRS = lisp texinfo tex utils

TARFILES = ChangeLog INSTALL Makefile README                        \
           aclocal.m4 configure configure.ac install-sh Makefile.in \
           bits lisp misc tex texinfo utils

all: Makefile bbdb info    gnus

Makefile: configure Makefile.in
	@echo "Makefile.in or configure has changed. Please rerun configure!"
	exit 1

configure: configure.ac
	@echo "configure.ac has changed. Please rerun autoconf!"
	exit 1

bbdb:
	cd lisp; $(MAKE) bbdb

rmail:
	cd lisp; $(MAKE) rmail

vm:
	cd lisp; $(MAKE) vm

mhe:
	cd lisp; $(MAKE) mhe

gnus:
	cd lisp; $(MAKE) gnus

info:
	cd texinfo; $(MAKE) info

autoloads:
	cd lisp; $(MAKE) autoloads

autoloadsc:
	cd lisp; $(MAKE) autoloadsc

install-pkg:
	@for i in $(SUBDIRS) ; do             \
          ( cd $$i && $(MAKE) install-pkg ) ; \
        done

uninstall-pkg:
	@for i in $(SUBDIRS) ; do               \
          ( cd $$i && $(MAKE) uninstall-pkg ) ; \
        done

clean:
	-$(RM) loadpath.el
	cd lisp; $(MAKE) clean
	cd texinfo; $(MAKE) clean

distclean:
	@for i in $(SUBDIRS) ; do           \
          ( cd $$i && $(MAKE) distclean ) ; \
        done
	-$(RM) config.cache config.status config.log
	-$(RM) -r autom4te.cache
	-$(RM) *.tar.gz
	-$(RM) .#*

# Backward compatibility
reallyclean: distclean

cvsclean:
	@for i in $(SUBDIRS) ; do          \
          ( cd $$i && $(MAKE) cvsclean ) ; \
        done
	-$(RM) Makefile configure


# tarball
tar: $(TARFILES)
	@if test "x$(TAR)" = "x" ; then                                        \
          echo "Sorry, no \`tar' program available." ;                     \
        else                                                               \
          name=`sed -n 's/^(defconst bbdb-version "\([0-9]\.[0-9][0-9]*\).*/bbdb-\1/p' lisp/bbdb.el` ;                                                    \
          $(RM) $${name} ; ln -s . $${name} ;                             \
          if test "x$(COMPRESS)" = "x" ; then                              \
            echo "Sorry, no compression program available." ;              \
            echo "The tarball will not be compressed." ;                   \
            echo "creating tar file $${name}.tar..." ;                     \
            $(TAR) --exclude=CVS --exclude=testing  --exclude=".*"         \
            -vchf $${name}.tar                                             \
            `echo $(TARFILES) | sed "s|^|$${name}/|g; s| | $${name}/|g"` ; \
          else                                                             \
            echo "creating tar file $${name}.tar.$(COMPEXT)..." ;          \
            $(TAR) --exclude=CVS  --exclude=".*" -vchf - `echo $(TARFILES) \
            | sed "s|^|$${name}/|g; s| | $${name}/|g"`                     \
            | $(COMPRESS) > $${name}.tar.$(COMPEXT) ;                      \
          fi ;                                                             \
          $(RM) $${name} ;                                                 \
        fi

dist: distclean info autoloads tar

TAGS: tags

tags:
	@if test "x$(ETAGS)" = "x" ; then                 \
           echo "Sorry, no \`etags' program available." ; \
         else                                             \
           $(ETAGS) */*.el                              ; \
         fi

=== lisp/Makefile ===


INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

RM   = /bin/rm -f
LN_S = ln -s

EMACS_PROG = /usr/bin/emacs -no-site-file -no-init-file

GNUSDIR = 
MHEDIR = 
VMDIR = 
OTHERDIRS = 

PACKAGEDIR = /usr/lib/xemacs/site-packages
SYMLINKS = no
LINKPATH = 

# this is lovely, isn't it?  Surprisingly enough, it seems to work...
VM	= -eval '(progn (if (not (string-match "$(VMDIR)" ""))            \
			    (setq load-path (cons "$(VMDIR)" load-path))) \
			(if (load "vm-version" t t)                         \
			    (cond ((> (string-to-number vm-version) 5.31) \
                                   (load "vm" t t))                           \
                                  (t (load "vm-vars" t t) (load "vm" t t)))))'

GNUS	= -eval '(if (not (string-match "$(GNUSDIR)" ""))             \
		     (setq load-path (cons "$(GNUSDIR)" load-path)))'

MHE	= -eval '(progn (if (not (string-match "$(MHEDIR)" ""))            \
			    (setq load-path (cons "$(MHEDIR)" load-path))) \
			(load "mh-e" t t))'

PUSHPATH=-l .././loadpath.el

.SUFFIXES: .elc .el .tar .Z .gz .uu

DEPSRCS=	bbdb-com.el  bbdb-hooks.el  bbdb-gnus.el  bbdb-mhe.el \
		bbdb-rmail.el bbdb-vm.el bbdb-ftp.el bbdb-whois.el \
		bbdb-xemacs.el bbdb-print.el bbdb-srv.el bbdb-reportmail.el \
		bbdb-merge.el bbdb-migrate.el bbdb-gui.el

DEPBINS=	${DEPSRCS:.el=.elc}
SRCS=		bbdb.el  $(DEPSRCS)
BINS=		bbdb.elc $(DEPBINS)

all: Makefile  gnus   bbdb autoloadsc

Makefile: Makefile.in
	@echo "Makefile.in has changed, rerun configure!"
	exit 1

install-pkg: uninstall-pkg bbdb autoloadsc
	@if test "x$(SYMLINKS)" = "xno" ; then                 \
          mkdir -p -m 0755 $(PACKAGEDIR)/lisp/bbdb;            \
          for i in `ls *.elc` ; do                             \
            $(INSTALL_DATA) `echo $$i | sed 's/c$$//g'`        \
                            $(PACKAGEDIR)/lisp/bbdb ;          \
            $(INSTALL_DATA) $$i $(PACKAGEDIR)/lisp/bbdb ;      \
          done ;                                               \
        else                                                   \
          if test "x$(LINKPATH)" = "x" ; then                  \
            $(LN_S) `pwd` $(PACKAGEDIR)/lisp/bbdb ;            \
          else                                                 \
            $(LN_S) $(LINKPATH)/lisp $(PACKAGEDIR)/lisp/bbdb ; \
          fi ;                                                 \
        fi

uninstall-pkg:
	-$(RM) -r $(PACKAGEDIR)/lisp/bbdb

bbdb-autoloads.el: $(DEPSRCS)
	@-$(RM) $@;
	@echo "(provide 'bbdb-autoloads)" > $@;
	@echo "(eval-when-compile" >> $@;
	@echo "  (condition-case ()" >> $@;
	@echo "      (require 'custom)" >> $@;
	@echo "    (error nil))" >> $@;
	@echo "  (if (and (featurep 'custom) (fboundp 'custom-declare-variable))()" >> $@;
	@echo "    (defmacro defgroup (&rest args)" >> $@;
	@echo "      nil)" >> $@;
	@echo "    (defmacro defcustom (var value doc &rest args)" >> $@;
	@echo "      \`(defvar ,var ,value ,doc))" >> $@;
	@echo "    (defmacro defface (var value doc &rest args)" >> $@;
	@echo "      \`(make-face ,var))" >> $@;
	@echo "    (defmacro define-widget (&rest args)" >> $@;
	@echo "      nil)))" >> $@;
	@echo "" >> $@;
	@$(EMACS_PROG) -batch -q -l autoload \
		--eval '(setq generated-autoload-file "'`pwd`'/$@")' \
		--eval "(if (featurep 'xemacs) (delete-file generated-autoload-file))" \
		--eval '(setq make-backup-files nil)' \
		--eval '(setq autoload-package-name "bbdb")' \
		-f batch-update-autoloads `pwd`

bbdb-autoloads.elc: bbdb-autoloads.el
	@$(EMACS_PROG) -batch -q -f batch-byte-compile ./$^

bbdb.elc:            bbdb.el
bbdb-com.elc:        bbdb.elc bbdb-com.el
bbdb-ftp.elc:        bbdb.elc bbdb-ftp.el
bbdb-gui.elc:		 bbdb.elc bbdb-gui.el
bbdb-merge.elc:      bbdb-merge.el
bbdb-migrate.elc:    bbdb.elc bbdb-migrate.el
bbdb-print.elc:      bbdb.elc bbdb-print.el
bbdb-snarf.elc:      bbdb.elc bbdb-snarf.el
bbdb-whois.elc:      bbdb.elc bbdb-whois.el
bbdb-w3.elc:         bbdb.elc bbdb-w3.el
bbdb-xemacs.elc:     bbdb.elc bbdb-xemacs.el

.el.elc:
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc -f batch-byte-compile $<

bbdb.elc:	bbdb.el
	@$(EMACS_PROG) -batch -q -f batch-byte-compile ./bbdb.el

bbdb-gnus.elc:	bbdb.elc bbdb-gnus.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc $(GNUS)   \
		-f batch-byte-compile $(@:.elc=.el)
bbdb-mhe.elc:	bbdb.elc bbdb-mhe.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc $(MHE)    \
		-f batch-byte-compile $(@:.elc=.el)
bbdb-rmail.elc:	bbdb.elc bbdb-rmail.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc $(RMAIL)  \
		-f batch-byte-compile $(@:.elc=.el)
bbdb-vm.elc:	bbdb.elc bbdb-vm.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc $(VM)     \
		-f batch-byte-compile $(@:.elc=.el)

bbdb-srv.elc:   bbdb.elc bbdb-srv.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc -eval '(progn (or (fboundp (quote define-obsolete-variable-alias)) (if (locate-library "gnuserv-compat") (load "gnuserv-compat" t t))) (if (and (locate-library "gnuserv") (locate-library "itimer")) (byte-compile-file "bbdb-srv.el") (message "Optional package bbdb-srv skipped - gnuserv not found")))'

bbdb-reportmail.elc: bbdb.elc bbdb-reportmail.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc -eval '(if (locate-library "reportmail") (byte-compile-file "bbdb-reportmail.el") (message "Optional package bbdb-reportmail skipped - reportmail not found"))'

bbdb-sc.elc: bbdb.elc bbdb-sc.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc -eval '(if (locate-library "supercite") (byte-compile-file "bbdb-sc.el") (message "Optional package bbdb-sc skipped - supercite not found"))'

# bbdb-hooks uses VM macros if it can find VM.

bbdb-hooks.elc:  bbdb.elc bbdb-hooks.el
	@$(EMACS_PROG) -batch -q $(PUSHPATH) -l ./bbdb.elc \
	-eval '(and (not (string= "$(VMDIR)" "")) \
		    (setq load-path (cons "$(VMDIR)" load-path)) \
		    (load "vm" t t) \
		    (load "vm-vars" t t))' \
	-f batch-byte-compile $(@:.elc=.el)

autoloads: bbdb-autoloads.el

autoloadsc: bbdb-autoloads.elc

extras: bbdb-print.elc bbdb-ftp.elc bbdb-whois.elc bbdb-xemacs.elc  \
	  bbdb-snarf.elc bbdb-w3.elc \
	bbdb-sc.elc bbdb-merge.elc bbdb-migrate.elc bbdb-gui.elc
bbdb:	bbdb.elc bbdb-com.elc bbdb-hooks.elc autoloadsc extras
rmail:	bbdb bbdb-rmail.elc
vm:	bbdb bbdb-vm.elc
mhe:	bbdb bbdb-mhe.elc
gnus:	bbdb bbdb-gnus.elc
# aliases
mh:	mhe
mh-e:	mhe

# Assorted clean-up targets
clean:
	-$(RM) bbdb*.elc

distclean: clean

# Backward compatibility
reallyclean: distclean

cvsclean: distclean
	-$(RM) bbdb-autoloads.el  # Generated file
	-$(RM) Makefile

=== tex/Makefile ===


INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

RM   = /bin/rm -f
LN_S = ln -s

PACKAGEDIR = /usr/lib/xemacs/site-packages
SYMLINKS = no
LINKPATH = 

install-pkg: uninstall-pkg
	@if test "x$(SYMLINKS)" = "xno" ; then                   \
          mkdir -p -m 0755 $(PACKAGEDIR)/etc/bbdb/tex ;          \
          for i in `ls *.tex` ; do                               \
            $(INSTALL_DATA) $$i $(PACKAGEDIR)/etc/bbdb/tex/ ;    \
          done ;                                                 \
        else                                                     \
          if test "x$(LINKPATH)" = "x" ; then                    \
            $(LN_S) `pwd` $(PACKAGEDIR)/etc/bbdb/tex ;           \
          else                                                   \
            $(LN_S) $(LINKPATH)/tex $(PACKAGEDIR)/etc/bbdb/tex ; \
          fi ;                                                   \
        fi

uninstall-pkg:
	-$(RM) -r $(PACKAGEDIR)/etc/bbdb/tex

clean:

distclean: clean

# Backward compatibility:
reallyclean: distclean

cvsclean: distclean
	-$(RM) Makefile

=== utils/Makefile ===


INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

RM   = /bin/rm -f
LN_S = ln -s

PACKAGEDIR = /usr/lib/xemacs/site-packages
SYMLINKS = no
LINKPATH = 

install-pkg: uninstall-pkg
	@if test "x$(SYMLINKS)" = "xno" ; then                       \
          mkdir -p -m 0755 $(PACKAGEDIR)/etc/bbdb/utils ;            \
          for i in `ls -d * | egrep -v '(Makefile|CVS)'` ; do        \
            $(INSTALL_DATA) $$i $(PACKAGEDIR)/etc/bbdb/utils/ ;      \
          done ;                                                     \
        else                                                         \
          if test "x$(LINKPATH)" = "x" ; then                        \
            $(LN_S) `pwd` $(PACKAGEDIR)/etc/bbdb/utils ;             \
          else                                                       \
            $(LN_S) $(LINKPATH)/utils $(PACKAGEDIR)/etc/bbdb/utils ; \
          fi ;                                                       \
        fi

uninstall-pkg:
	-$(RM) -r $(PACKAGEDIR)/etc/bbdb/utils

clean:

distclean:

# Backward compatibility:
reallyclean: distclean

cvsclean: distclean
	-$(RM) Makefile

=== zenitani/CarbonEmacs/Makefile ===
#
#  Carbon Emacs パッケージ
#  http://homepage.mac.com/zenitani/emacs-j.html
#  http://homepage.mac.com/zenitani/emacs-e.html
#  http://homepage.mac.com/zenitani/emacs-fr.html
#  http://homepage.mac.com/zenitani/emacs-es.html
#
#  Emacs 本体と同梱ライブラリの作成レシピです。
#  ネットワークインストール対応ライブラリも
#  ほぼ同じ書式で記述しています。
#
#  $Id: Makefile 704 2010-01-08 03:38:03Z zenitani $
#
###############################################################

# 作成手順は下記のWikiページを参照して下さい。
#
# http://www.emacswiki.org/cgi-bin/emacs-en/MakingOfCarbonEmacsPackage

# パッケージ制作者が手動で書き換える部分
#
# VERSION      : 短いバージョン名（Emacs 的なバージョン番号）
# LONG_VERSION : Carbon Emacs パッケージ全体のリリースバージョン名
#                Show Info ダイアログでも表示される

VERSION      := 22.3
#LONG_VERSION := Winter, 2010; Carbon Emacs Package by S. Zenitani et al.
LONG_VERSION := 2010; Carbon Emacs Package (Compatible)

OS_VERSION   := $(shell sw_vers -productVersion | sed -e 's/^\([0-9][0-9]*\.[0-9][0-9]*\).*/\1/')
UNAME        := $(shell uname -p)
DATE         := $(shell date "+%Y%m%d")

###############################################################

PACKAGE_DIR    := /Volumes/Emacs
#PACKAGE_DIR     = /Applications
PACKAGE_APP     = ${PACKAGE_DIR}/Emacs.app
PACKAGE_BIN     = ${PACKAGE_APP}/Contents/MacOS/bin
PACKAGE_EMACS   = ${PACKAGE_APP}/Contents/MacOS/Emacs
PACKAGE_PREFIX  = ${PACKAGE_APP}/Contents/Resources
PACKAGE_LIBRARY = ${PACKAGE_APP}/Contents/Library
PACKAGE_SITEDIR = ${PACKAGE_PREFIX}/site-lisp
PACKAGE_INFODIR = ${PACKAGE_PREFIX}/info
PACKAGE_DMG    := CarbonEmacs-${UNAME}-${DATE}.dmg
TEMP_DMG        = test.dmg

ELISP_CONFIGURE	= ./configure --with-emacs=${PACKAGE_EMACS} --prefix=${PACKAGE_PREFIX} --bindir=${PACKAGE_BIN} 
ELISP_MAKE     	= make EMACS=${PACKAGE_EMACS} prefix=${PACKAGE_PREFIX}
INSTALL	        = install -m 644

###############################################################

all: 
	@echo "[ src ]"
	@echo "patch"
	@echo "compile"
	@echo "dmg"
	@echo "install"
	@echo "pkg"
	@echo "icon"
	@echo "done"


###############################################################

# emacs のソースコードを取得します。
# ソースは日々更新されています。
src:
	if [ -e emacs ] ; then rm -rf emacs; fi
	export CVS_RSH="ssh" ; \
	cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/emacs co emacs
#	cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/emacs co -D "2007-01-01" emacs
	tar zcvf src/emacs-22.x.cvs${DATE}.tar.gz emacs
#	tar jcvf src/EmacsCVS-src-${DATE}.tbz emacs
	@echo "Be sure to apply im patch."

# パッチを当てます。
patch:
	if [ ! -e emacs ] ; then tar zxvf src/emacs-22.*.tar.gz ; fi
#	if [ ! -e emacs-${VERSION} ] ; then tar zxvf src/emacs-22.*.tar.gz ; fi
#	ln -s emacs-${VERSION} emacs
	cd emacs ; \
	patch -p0 < ../src/patch/transparency4.patch ; \
	patch -p0 < ../src/patch/emacs-inline.patch ; \
	patch -p0 < ../src/patch/mac-functions.patch ; \
	patch -p0 < ../src/patch/mac-fullscreen.patch ; \
	patch -p0 < ../src/patch/cep-internal.patch ; \
	patch -p0 < ../src/patch/dired-proxy-icon.patch ; \
	patch -p0 < ../src/patch/toolbar-png.patch ; \
	patch -p0 < ../src/patch/no-fink.patch
	diff -u Resources/Info.plist.orig-20070906 Resources/Info.plist \
		| patch -d emacs/mac/Emacs.app/Contents/
	cp -p Resources/*.icns emacs/mac/Emacs.app/Contents/Resources/
	rm -rf emacs/lisp/obsolete
	mkdir -p emacs/lisp/mac
	$(INSTALL) src/lisp/*.el emacs/lisp/mac
	mv emacs/lisp/mac/site-*.el emacs/lisp/
	mv emacs/lisp/mac/ruby-mode.el emacs/lisp/progmodes/
	perl -i -p -e 'if(/GetInfo/){s/\".*\"/\"${LONG_VERSION}\"/;}' \
	emacs/mac/Emacs.app/Contents/Resources/English.lproj/InfoPlist.strings
	perl -i -p -e 'if(/@@@@/){s/\".*\"/\"${LONG_VERSION}\"/;}' \
	emacs/lisp/mac/carbon-emacs-package.el

###############################################################

# コンパイル

# UNAME にあわせてビルド方法を変更する
compile: 
ifeq (${UNAME},i386)
# Intel 用
	cd emacs ; \
	env \
	CC=gcc-4.2 \
	CFLAGS="-O2 -arch i386 -arch ppc7400 -DUSE_ATSUI -DUSE_MAC_TSM" \
	./configure \
		--prefix=/Applications/Emacs.app/Contents/Resources \
		--with-carbon --without-x \
                --libexecdir=${PACKAGE_APP}/Contents/MacOS/libexec ; \
	env LANG=C make bootstrap
#	CFLAGS="-Os -arch i386 -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -DUSE_ATSUI -DUSE_MAC_TSM"
else
# powerpc 用
	cd emacs ; \
	env \
	CFLAGS="-O2 -mtune=G4 -arch ppc -DUSE_ATSUI -DUSE_MAC_TSM" \
	./configure \
		--prefix=/Applications/Emacs.app/Contents/Resources \
		--with-carbon --without-x \
                --libexecdir=${PACKAGE_APP}/Contents/MacOS/libexec ; \
	env LANG=C make bootstrap
#	CFLAGS="-Os -mtune=G4 -arch ppc -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.5 -DUSE_ATSUI -DUSE_MAC_TSM"
endif
#	env PER_ARCH_CFLAGS_ppc="-fast -mcpu=7450" \
#	make bootstrap
#	STARTFLAGS="-Wl,-syslibroot,${SDK} -arch i386 -arch ppc" \
# ref. http://developer.apple.com/documentation/MacOSX/Conceptual/universal_binary/universal_binary_compiling/chapter_2_section_7.html#//apple_ref/doc/uid/TP40002217-CH206-BAJJFEAC



###############################################################

# dmg ファイルを作って
dmg: create-dmg-stamp
create-dmg-stamp:
	if mount |egrep -qs '^/dev/[[:alnum:]]+ on /Volumes/Emacs'; then \
	  touch create-dmg-stamp; \
	  echo "/Volumes/Emacs is already mounted" >&2; \
	  exit 1; \
	fi
	if [ -e ${TEMP_DMG}    ] ; then rm ${TEMP_DMG}    ; fi
	if [ -e ${PACKAGE_DMG} ] ; then rm ${PACKAGE_DMG} ; fi
	hdiutil create -size 256m -type UDIF -fs HFS+ -volname "Emacs" -layout NONE ${TEMP_DMG}
	hdid ${TEMP_DMG}
	touch create-dmg-stamp

# Emacs をインストールします。
install: dmg
	if [ -e ${PACKAGE_APP} ]; then rm -rf ${PACKAGE_APP}; fi
	if [ -e ${PACKAGE_DIR}/Documents ]; then rm -rf ${PACKAGE_DIR}/Documents; fi
	cd emacs; \
	/bin/cp -r mac/Emacs.app ${PACKAGE_APP}; \
	make install prefix=${PACKAGE_PREFIX} carbon_appdir=`${PACKAGE_DIR}` GZIP_PROG="" infodir=${PACKAGE_INFODIR} mandir=${PACKAGE_PREFIX}/man
#	Stop to compress *.el files in order to create smaller dmg file.
#	dmg ファイルの圧縮効率をあげるため、*.el を gzip 圧縮しないよう変更
#	chmod 755 ${PACKAGE_PREFIX}/bin/emacs ${PACKAGE_PREFIX}/bin/emacs-${VERSION}
#	see FAQ 1.10 <http://members.shaw.ca/akochoi-emacs/stories/faq.html>
	mv ${PACKAGE_PREFIX}/bin ${PACKAGE_BIN}
	mv ${PACKAGE_APP}/Contents/MacOS/libexec/emacs/${VERSION}/*/* ${PACKAGE_APP}/Contents/MacOS/libexec/
	rm -rf ${PACKAGE_APP}/Contents/MacOS/libexec/emacs
#	mv ${PACKAGE_PREFIX}/libexec/emacs/${VERSION}/powerpc-* ${PACKAGE_APP}/Contents/MacOS/libexec
#	rm -rf ${PACKAGE_PREFIX}/libexec
	for d in etc leim lisp site-lisp ; do \
	       mv ${PACKAGE_PREFIX}/share/emacs/${VERSION}/$$d ${PACKAGE_PREFIX} ; \
	done
# 	for d in etc leim lisp site-lisp ; do \
# 		cd ${PACKAGE_PREFIX} ; ln -s share/emacs/${VERSION}/$$d ; \
# 	done
	rm    ${PACKAGE_PREFIX}/share/emacs/site-lisp/subdirs.el
	rmdir ${PACKAGE_PREFIX}/share/emacs/site-lisp
	rmdir ${PACKAGE_PREFIX}/share/emacs/${VERSION}
	rmdir ${PACKAGE_PREFIX}/share/emacs
	rmdir ${PACKAGE_PREFIX}/share
#	容量削減のため、leim の日本語辞書の el ファイルを削除
	if [ -e ${PACKAGE_PREFIX}/leim/ja-dic/ja-dic.el ] ; then \
		rm ${PACKAGE_PREFIX}/leim/ja-dic/ja-dic.el  ; fi
#	容量削減のため、リファレンスカード類 (postscriptファイル) を削除
	rm -rf ${PACKAGE_PREFIX}/etc/*-ref.ps
	rm -rf ${PACKAGE_PREFIX}/etc/*card.ps
	rm -rf ${PACKAGE_PREFIX}/etc/fr-drdref.ps
	rm -rf ${PACKAGE_PREFIX}/etc/gnus-booklet.ps
	rm -rf ${PACKAGE_PREFIX}/etc/gnus-logo.eps
	rm -rf ${PACKAGE_PREFIX}/etc/*.tex
#	cd ${PACKAGE_APP}/Contents/MacOS; rm Emacs; ln -s bin/emacs Emacs
	rm ${PACKAGE_BIN}/emacs
	rm ${PACKAGE_BIN}/emacs-${VERSION}
#	chmod 0755 ${PACKAGE_BIN}/emacs
#	全ての CVS ディレクトリを削除
	find ${PACKAGE_APP} -type d -name CVS | xargs rm -rf
#	copy GNOME's png files
	cp Resources/gnome-icons/*.png ${PACKAGE_PREFIX}/etc/images/
#	remove etc/*.pbm files, if *.xpm exists
	for f in `find ${PACKAGE_PREFIX}/etc/ -name '*.pbm'` ; do \
		if [ -e $$f ] && [ -e $${f%.pbm}.xpm ] ; then rm $$f ; fi ; \
	done
#	remove etc/images/*.xpm files, if *.png exists
	for f in ${PACKAGE_PREFIX}/etc/images/*.xpm ; do \
		if [ -e $${f%.xpm}.png ] ; then rm $$f ; fi ; \
	done
	ln -s /Applications ${PACKAGE_DIR}/
	mkdir ${PACKAGE_DIR}/Documents
	cp -p emacs/COPYING  ${PACKAGE_DIR}/Documents/License.txt
	cp -p emacs/mac/README  ${PACKAGE_DIR}/Documents/ReadMe_Mac.txt
	cp -p Resources/ReadMe.txt  ${PACKAGE_DIR}/Documents/ReadMe.txt
	cp -p Resources/Background.png ${PACKAGE_DIR}/
	mkdir ${PACKAGE_DIR}/Documents/Included_Packages
	mkdir ${PACKAGE_SITEDIR}/site-start.d
	touch ${PACKAGE_SITEDIR}/site-start.d/.nosearch
	cd  ${PACKAGE_SITEDIR} ; ln -s ../lisp/mac
	xattr -d com.apple.quarantine ${PACKAGE_DIR}/Emacs.app


###############################################################
#
# いろいろなパッケージのインストール／コンパイル手順
#

site-start: 
	cp -p src/site-lisp/*.el ${PACKAGE_SITEDIR}/
	cp -p src/site-lisp/site-start.d/*.el ${PACKAGE_SITEDIR}/site-start.d/

###############################################################
#
#  aspell
#  小林さんの GETTEXT 対策を追加
#  ref. [Macemacsjp-users 956]

_aspell: ${PACKAGE_BIN}/aspell

${PACKAGE_BIN}/aspell:
	tar zxvf src/aspell-*.tar.gz
	cd aspell-* ; \
	autoconf ; \
	perl -pi -e 's@/usr/local/lib@/aspell/is/complicated@g' configure ; \
	perl -pi -e 's@/usr/local/include@/aspell/is/complicated@g' configure ; \
	${ELISP_CONFIGURE} --disable-shared --enable-static \
	--prefix=/usr --libdir=/usr/lib --includedir=/usr/include \
	--enable-pkgdatadir=${PACKAGE_PREFIX}/lib/aspell-${UNAME} \
	--enable-pkglibdir=${PACKAGE_PREFIX}/lib/aspell-${UNAME} \
	--with-libiconv-prefix=/usr --disable-nls ; \
	perl -pi -e 's@/usr/local/.*$$@@g;' Makefile ; \
	${ELISP_MAKE} all ; \
	${ELISP_MAKE} libdir=/tmp/aspell includedir=/tmp/aspell \
		infodir=${PACKAGE_INFODIR} mandir=${PACKAGE_PREFIX}/man install
	rm -rf /tmp/aspell
	cp -p aspell-*/COPYING  ${PACKAGE_DIR}/Documents/Included_Packages/aspell.txt

_aspell-en: ${PACKAGE_BIN}/aspell
	tar jxvf src/aspell6-en-*.tar.bz2
	cd aspell6-en-* ; \
	PATH="$$PATH:${PACKAGE_BIN}" ./configure ; \
	PATH="$$PATH:${PACKAGE_BIN}" make install datadir=${PACKAGE_PREFIX}/lib/aspell-${UNAME} \
		dictdir=${PACKAGE_PREFIX}/lib/aspell-${UNAME}
	cp -p aspell6-en-*/Copyright  ${PACKAGE_DIR}/Documents/Included_Packages/aspell6-en.txt

#  aspell
####################

## mew（Universal Binary 対応）
_mew: ${PACKAGE_SITEDIR}/mew

${PACKAGE_SITEDIR}/mew:
	tar zxvf src/mew-*.tar.gz
	cd mew-* ; \
	env \
	CFLAGS="-Os -arch i386 -arch ppc" \
	${ELISP_CONFIGURE} \
		--mandir=${PACKAGE_PREFIX}/man \
		--infodir=${PACKAGE_INFODIR} ; \
	${ELISP_MAKE} all info jinfo install install-jinfo \
	LDFLAGS="-arch i386 -arch ppc" \
		elispdir=${PACKAGE_SITEDIR}/mew \
		etcdir=${PACKAGE_SITEDIR}/mew/etc
	touch ${PACKAGE_SITEDIR}/mew/etc/.nosearch
	rm ${PACKAGE_SITEDIR}/mew/etc/Mew.{img,xbm,xpm}
#		etcdir=${PACKAGE_PREFIX}/etc/mew
	cp -p mew-*/00copyright  ${PACKAGE_DIR}/Documents/Included_Packages/mew.txt

## nxml-mode
_nxml-mode: ${PACKAGE_SITEDIR}/nxml-mode

${PACKAGE_SITEDIR}/nxml-mode:
	tar zxvf src/nxml-mode-*.tar.gz
	cd nxml-mode-* ; \
	${ELISP_MAKE} ; \
	install-info nxml-mode.info ${PACKAGE_INFODIR}/dir \
	--entry="* nXML Mode: (nxml-mode). Major mode for editing XML."
	cp -pR nxml-mode-* ${PACKAGE_SITEDIR}/nxml-mode
	touch ${PACKAGE_SITEDIR}/nxml-mode/char-name/.nosearch
	touch ${PACKAGE_SITEDIR}/nxml-mode/schema/.nosearch
	rm ${PACKAGE_SITEDIR}/nxml-mode/dir
	rm ${PACKAGE_SITEDIR}/nxml-mode/nxml-mode.texi
	mv ${PACKAGE_SITEDIR}/nxml-mode/nxml-mode.info ${PACKAGE_INFODIR}/
	if [ -e ${PACKAGE_SITEDIR}/nxhtml/etc/schema/ ] ; then \
		cp src/xhtml-loader.rnc ${PACKAGE_SITEDIR}/nxhtml/etc/schema/ ;\
	fi


###############################################################

## auctex
# ref. http://www.esm.psu.edu/mac-tex/installauctex.html (en)
# ref. http://pop-club.hp.infoseek.co.jp/emacs/auctex-jp.html (jp)
# preview-latex 対応のため、インストール時に最新の TeX + gs 環境が必要
# site-start.d にもファイルがインストールされる
# preview-latex 用のスタイルファイルを システムの TeX フォルダに
# インストールしたくないときに --without-texmf-dir を用いる

_auctex: ${PACKAGE_SITEDIR}/auctex

${PACKAGE_SITEDIR}/auctex:
	tar zxvf src/auctex-*.tar.gz
	cd auctex* ; \
	patch < ../src/patch/toolbar-auctex.patch ; \

=== zenitani/netinstall/aspell-fr/Makefile ===
# aspell-fr for CarbonEmacsPackage

# PACKAGE_PREFIX  = provided by net-installer
PACKAGE_BIN     = ${PACKAGE_PREFIX}/../MacOS/bin
UNAME          := $(shell uname -p)

all:
	tar jxvf GPL/aspell-fr-*.tar.bz2
	cd aspell-fr-* ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C ./configure ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C make install \
		datadir=${PACKAGE_PREFIX}/lib/aspell-${UNAME} \
		dictdir=${PACKAGE_PREFIX}/lib/aspell-${UNAME}

# end

=== zenitani/netinstall/aspell-pt_BR/Makefile ===
# aspell-pt_BR for CarbonEmacsPackage

# PACKAGE_PREFIX  = provided by net-installer
PACKAGE_BIN     = ${PACKAGE_PREFIX}/../MacOS/bin
UNAME          := $(shell uname -p)

all:
	tar jxvf non-GPL/aspell6-pt_BR-*.tar.bz2
	cd aspell6-pt_BR-* ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C ./configure ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C make install \
		datadir=${PACKAGE_PREFIX}/lib/aspell-${UNAME} \
		dictdir=${PACKAGE_PREFIX}/lib/aspell-${UNAME}
	cp brasileiro.alias ${PACKAGE_PREFIX}/lib/aspell-${UNAME}/

# end

=== zenitani/netinstall/bbdb/Makefile ===
# BBDB for CarbonEmacsPackage

# PACKAGE_PREFIX  = provided by net-installer
PACKAGE_BIN     = ${PACKAGE_PREFIX}/../MacOS/bin
PACKAGE_EMACS   = ${PACKAGE_PREFIX}/../MacOS/Emacs

all:
	tar zxvf src/bbdb-*.tar.gz
	cd bbdb-* ; \
	./configure --with-emacs=${PACKAGE_EMACS} ; \
	make bbdb info
	mkdir -p ${PACKAGE_PREFIX}/site-lisp/bbdb
	cp -p bbdb-*/lisp/*.{el,elc} ${PACKAGE_PREFIX}/site-lisp/bbdb/
	install -c bbdb-*/texinfo/bbdb.info ${PACKAGE_PREFIX}/info/
	cd ${PACKAGE_PREFIX}/info ; install-info bbdb.info dir

# end

=== zenitani/netinstall/slime/Makefile ===
# SLIME for CarbonEmacsPackage

# PACKAGE_PREFIX = provided by net-installer
PACKAGE_EMACS   = ${PACKAGE_PREFIX}/../MacOS/Emacs
PACKAGE_SITEDIR	= ${PACKAGE_PREFIX}/site-lisp
PACKAGE_INFODIR	= ${PACKAGE_PREFIX}/info

ELISP_MAKE     	= make EMACS=${PACKAGE_EMACS} prefix=${PACKAGE_PREFIX}

all: 
	tar zxvf src/slime-*.tgz
	cd slime ; \
	${PACKAGE_EMACS} -q --no-site-file -batch --eval \
		'(progn (add-to-list (quote load-path) ".") (byte-recompile-directory "." 0))'
	cd  slime/doc ; \
		${ELISP_MAKE} infodir=${PACKAGE_INFODIR} install-info
	mkdir -p ${PACKAGE_SITEDIR}/slime
	cp -p slime/*.{el,elc}  ${PACKAGE_SITEDIR}/slime/
	cp -p slime/*.lisp ${PACKAGE_SITEDIR}/slime/

# end

=== zenitani/netinstall/yatex/Makefile ===
# YaTeX for CarbonEmacsPackage (non-GPL freeware)

all: 
	tar zxvf non-GPL/yatex1.*.tar.gz
	cd yatex1.* && \
	DISPLAY=:0.0 make PREFIX="${PACKAGE_PREFIX}" EMACSDIR="${PACKAGE_PREFIX}" \
		install install-info
	cp -p yatex-init.el \
		"${PACKAGE_PREFIX}/site-lisp/site-start.d/"

# end

=== debian/changelog ===
ess (5.13-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Feb 2011 16:10:05 -0600

ess (5.12-1) unstable; urgency=low

  * New upstream version released today

  * debian/emacen-startup: Follow suggestion by Kevin Ryde in #594750 and
    use debian-pkg-add-load-path-item as well; also improved emacsen-install
    script by using soft links instead of copies	(Closes: #594750)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Nov 2010 16:52:27 -0600

ess (5.11-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Jul 2010 11:50:00 -0500

ess (5.10-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Jun 2010 05:29:06 -0500

ess (5.9.1-2) unstable; urgency=low

  * lisp/*: Upgraded to svn revision 5352 with a fix by Sebastian Luque
    for the XEmacs incompatibility			(Closes: #583857)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Jun 2010 09:59:22 -0500

ess (5.9.1-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 May 2010 09:02:10 -0500

ess (5.9-1) unstable; urgency=low

  * New upstream version released this morning

  * debian/control: Increased Standards-Version: to current version
  * debian/source/format: Added with value "1.0" to please lintian

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 May 2010 02:32:53 -0500

ess (5.8-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Mar 2010 06:25:04 -0600

ess (5.7.1-1) unstable; urgency=low

  * New upstream version released this afternoon

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Dec 2009 16:50:32 -0600

ess (5.7-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Dec 2009 06:29:02 -0600

ess (5.6-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Dec 2009 11:46:57 -0600

ess (5.5-1) unstable; urgency=low

  * New upstream version released today

  * debian/control: Updated Depends: list by adding 'emacs23' to list
  * debian/control: Updated Homepage: URL to 'ess.r-project.org'

  * debian/control: Increased Standards-Version: to 3.8.1
    + debian/control: Added '${misc:Depends}' to Depends
    + debian/control: Added 'dpkg (>= 1.15.4) | install-info'

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Oct 2009 09:31:55 -0500

ess (5.4-1) unstable; urgency=low

  * New upstream version released today

  * etc/config.guess: Switched to current version /usr/share/misc/config.guess

  * debian/control enhancements suggested by Debian bugreport #529914
  * debian/control: Increased Standards-Version: to 3.8.1
  * debian/control: Added Homepage: fields
  * debian/compat: Increased to level 7, increaded Build-Depends accordingly
  * debian/rules: Use dh_prep in cleaning step

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Jun 2009 15:19:01 -0500

ess (5.3.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Jan 2009 12:00:52 -0600

ess (5.3.10.1-1) unstable; urgency=low

  * New upstream release 5.3.10
  * This release is relabeled 5.3.10.1 as we used the 5.3.10 version number
    for the bugfix release which turns out to have been a pre-release.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Dec 2008 07:25:55 -0600

ess (5.3.10-2) unstable; urgency=low

  * Updated to SVN revision 4001 which addresses the bug report
    'ess: fails setting up' when no R version is present	(Closes: #507510)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Dec 2008 09:25:16 -0600

ess (5.3.10-1) unstable; urgency=low

  * New upstream release

  * Closes open bug 'emacs warning on upgrade'			(Closes: #507299)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Nov 2008 20:39:02 -0600

ess (5.3.9~svn3950-1) unstable; urgency=low

  * New packages based on svn revision 3950 approaching release 5.3.9.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 04 Oct 2008 18:41:09 -0500

ess (5.3.8~svn3917-1) unstable; urgency=low

  * New upstream version based on svn revision 3917 approaching release 5.3.8.

  * debian/rules: Add trailing slash to ess-etc-directory definition -- with
    thanks to Martin Maechler for finding this as the cause to SAS load issues

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Jul 2008 19:16:57 -0500

ess (5.3.8~svn3902-1) unstable; urgency=low

  * debian/emacsen-install: Strengthen regular expression to only exclude
    ess.el. Thanks to Sebastian Luque for fixing the bug he reported! This now
    really fixed bug report 482351 addressed in the previous upload.

  * debian/watch: Updated URL and regular expression

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 May 2008 21:39:40 -0500

ess (5.3.8~svn3899-1) unstable; urgency=low

  * New upstream version based on svn revision 3899
  * lisp/Makefile: Add ess-eldoc to targets			(Closes: #482351)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 May 2008 06:13:36 -0500

ess (5.3.8~svn3895-1) unstable; urgency=low

  * New upstream version based on svn revision 3895 approaching release 5.3.8.

  * New maintainers: the package is now maintained by group of Ess and
    Debian developers that can be reached at ess-debian@r-project.org.
    Camm's many years of diligent maintenance are gratefully acknowledged.
  * The group repository is available at https://svn.R-project.org/ESS

  [ Stefan Theussl ]
  * debian/control: Change build-depends to texlive packages 	(Closes: #420945)
  * debian/emacsen-startup.el: Applied patch kindly supplied by Peter Galbraith
    to not load Ess when it has been purged 			(Closes: #440194)
  * Add details to copyright.

  [ Martin Maechler ]
  * doc/refcard/refcard.tex:  Switched to fullpage.sty		(Closes: #443462)

  [ Dirk Eddelbuettel ]


=== debian/control ===
Source: ess
Section: gnu-r
Priority: optional
Maintainer: ESS Debian Maintainers <ess-debian@r-project.org>
Uploaders: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.0)
Build-Depends-Indep: texlive-base, texlive-latex-base, texlive-latex-recommended, texlive-latex-extra, texlive-generic-recommended, texlive-extra-utils, texinfo, texi2html
Homepage: http://ess.r-project.org

Package: ess
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacs22 | emacs21 | emacsen, dpkg (>= 1.15.4) | install-info
Conflicts: dhelp (<= 0.3.12)
Suggests: xlispstat, r-base | r-base-core, pspp, jags
Description: Emacs mode for statistical programming and data analysis
 ESS ("Emacs Speaks Statistics") is a GNU Emacs and XEmacs mode for 
 interactive statistical programming and data analysis. Languages 
 supported are the S family (S 3/4, S-PLUS 3/4/5/6/7, and R), SAS, 
 XLispStat, Stata, and BUGS.
 .
 ESS grew out of the desire for bug fixes and extensions to S-mode and
 SAS-mode as well as a consistent union of their features in one
 package.
